Foxit PDF SDK

Instance Methods | Properties | List of all members
FSTableCellData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithCell_text_style:cell_fill_color:cell_text:cell_image:cell_margin:
| Constructor, with parameters. More...
(id) | - initWithData:
| Constructor, with another table cell data object. More...
(void) | - set:cell_fill_color:cell_text:cell_image:cell_margin:
| Set value. More...

## Properties
unsigned int | cell_fill_color
| The fill color of cell. Format: 0xAARRGGBB.
FSImage * | cell_image
| The image content of cell. More...
FSRectF * | cell_margin
| The cell margin between the content and cell border. More...
NSString * | cell_text
| The text content of cell. More...
FSRichTextStyle * | cell_text_style
| The style of cell text.

## Detailed Description

This class represents table cell data.

## Method Documentation

## ◆ initWithCell_text_style:cell_fill_color:cell_text:cell_image:cell_margin:()

- (id) initWithCell_text_style: |  | (FSRichTextStyle*) | cell_text_style
cell_fill_color: |  | (unsigned int) | cell_fill_color
cell_text: |  | (NSString *) | cell_text
cell_image: |  | (FSImage*) | cell_image
cell_margin: |  | (FSRectF*) | cell_margin

Constructor, with parameters.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

## ◆ initWithData:()

- (id) initWithData: |  | (FSTableCellData*) | data |

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table cell data object, whose value would be assigned to current object.

## ◆ set:cell_fill_color:cell_text:cell_image:cell_margin:()

- (void) set: |  | (FSRichTextStyle*) | cell_text_style
cell_fill_color: |  | (unsigned int) | cell_fill_color
cell_text: |  | (NSString *) | cell_text
cell_image: |  | (FSImage*) | cell_image
cell_margin: |  | (FSRectF*) | cell_margin

Set value.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

Returns
  None.

## Property Documentation

## ◆ cell_image

- (FSImage *) cell_image
| read write nonatomic weak

The image content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

## ◆ cell_margin

- (FSRectF *) cell_margin
| read write nonatomic weak

The cell margin between the content and cell border.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a table cell. The value should not be negative and should not be bigger than the cell's height or width.

## ◆ cell_text

- (NSString *) cell_text
| read write nonatomic weak

The text content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.